<?php

/* Register theme widgets. */
add_action( 'widgets_init', 'intruder_register_widgets' );

/**
 * Registers custom theme widgets.
 *
 * @since  1.0.0
 * @access public
 * @return void
 */
function intruder_register_widgets() {

	require_once( THEME_DIR . 'inc/widget-newsletter.php' );

	register_widget( 'Intruder_Widget_Newsletter' );
}

/* Load JS and CSS for widgets. */
add_action( 'admin_enqueue_scripts', 'widget_load_scripts' );

?>